Up the minimum OS X version to 10.6.
authorDavid M. Lee <dlee@digium.com>
Fri, 18 Jan 2013 22:42:38 +0000 (22:42 +0000)
committerDavid M. Lee <dlee@digium.com>
Fri, 18 Jan 2013 22:42:38 +0000 (22:42 +0000)
 * This allows us to remove some special-case build logic.
 * 10.5 is down to less that 8% of the OS X market share. 10.4 is down to
   under 2%.
 * Apple is no longer releasing security updates for 10.5 and earlier.

git-svn-id: https://origsvn.digium.com/svn/asterisk/trunk@379495 65c4cc65-6c06-0410-ace0-fbb531ad65f3

Makefile
configure
configure.ac
main/Makefile

index 71c8f00..26f0081 100644 (file)
--- a/Makefile
+++ b/Makefile
@@ -252,10 +252,8 @@ MOD_SUBDIRS_MENUSELECT_TREE:=$(MOD_SUBDIRS:%=%-menuselect-tree)
 
 ifneq ($(findstring darwin,$(OSARCH)),)
   _ASTCFLAGS+=-D__Darwin__
-  _SOLINK=-Xlinker -macosx_version_min -Xlinker 10.4 -Xlinker -undefined -Xlinker dynamic_lookup
-  ifeq ($(shell if test `/usr/bin/sw_vers -productVersion | cut -c4` -gt 5; then echo 6; else echo 0; fi),6)
-    _SOLINK+=/usr/lib/bundle1.o
-  endif
+  _SOLINK=-Xlinker -macosx_version_min -Xlinker 10.6 -Xlinker -undefined -Xlinker dynamic_lookup
+  _SOLINK+=/usr/lib/bundle1.o
   SOLINK=-bundle $(_SOLINK)
   DYLINK=-Xlinker -dylib $(_SOLINK)
   _ASTLDFLAGS+=-L/usr/local/lib
index 5abec2d..2284c1b 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.ac Revision: 378915 .
+# From configure.ac Revision: 379477 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.69 for asterisk trunk.
 #
@@ -16419,20 +16419,7 @@ elif test "${prefix}" = /usr || test "${prefix}" = NONE; then
        { $as_echo "$as_me:${as_lineno-$LINENO}: result: not needed" >&5
 $as_echo "not needed" >&6; }
 else
-       case "${host_os}" in
-               darwin*)
-                       { $as_echo "$as_me:${as_lineno-$LINENO}: result: not supported" >&5
-$as_echo "not supported" >&6; }
-                       # We set macosx_version_min to 10.4, which doesn't
-                       # support rpath. However, we set install_name on our
-                       # dylibs, so it's not strictly necessary.
-                       ;;
-               *)
-                       { $as_echo "$as_me:${as_lineno-$LINENO}: result: required" >&5
-$as_echo "required" >&6; }
-                       AST_RPATH="-Wl,-rpath,${libdir}"
-                       ;;
-       esac
+       AST_RPATH="-Wl,-rpath,${libdir}"
 fi
 
 
index b5f4d29..e906827 100644 (file)
@@ -1071,18 +1071,7 @@ if test "${check_rpath}" != yes; then
 elif test "${prefix}" = /usr || test "${prefix}" = NONE; then
        AC_MSG_RESULT(not needed)
 else
-       case "${host_os}" in
-               darwin*)
-                       AC_MSG_RESULT(not supported)
-                       # We set macosx_version_min to 10.4, which doesn't
-                       # support rpath. However, we set install_name on our
-                       # dylibs, so it's not strictly necessary.
-                       ;;
-               *)
-                       AC_MSG_RESULT(required)
-                       AST_RPATH="-Wl,-rpath,${libdir}"
-                       ;;
-       esac
+       AST_RPATH="-Wl,-rpath,${libdir}"
 fi
 AC_SUBST(AST_RPATH)
 
index 5dec42e..d12fe3f 100644 (file)
@@ -55,10 +55,8 @@ endif
 
 ifneq ($(findstring darwin,$(OSARCH)),)
   AST_LIBS+=-lresolv
-  ASTLINK=-Xlinker -macosx_version_min -Xlinker 10.4 -Xlinker -undefined -Xlinker dynamic_lookup -force_flat_namespace
-  ifeq ($(shell if test `/usr/bin/sw_vers -productVersion | cut -c4` -gt 5; then echo 6; else echo 0; fi),6)
-    ASTLINK+=/usr/lib/bundle1.o
-  endif
+  ASTLINK=-Xlinker -macosx_version_min -Xlinker 10.6 -Xlinker -undefined -Xlinker dynamic_lookup -force_flat_namespace
+  ASTLINK+=/usr/lib/bundle1.o
 else
 # These are used for all but Darwin
   ifneq ($(findstring LOADABLE_MODULES,$(MENUSELECT_CFLAGS)),)